Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.controls
Class FTree

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JTree
                      de.jsystems.framework.controls.FTree

All Implemented Interfaces:
  Accessible, IActionInterface, IAncestor, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, ITreeExpansion, ITreeSelection, ITreeWillExpand, IVetoableChange, MenuContainer, Scrollable, Serializable

public class FTree
extends JTree
implements IActionInterface, ITreeExpansion, ITreeSelection, ITreeWillExpand, IAncestor, IPropertyChange, IVetoableChange, IContainer, IComponent, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, IMouse, IMouseMotion, IMouseInput

Darstellung fuer einen JTree aus dem SWING-Package. Der JTree wurde hier erweitert um frameworkspezifische Funktionen. Diese werden benoetigt, damit das Framework ueber die automatische Registrierung mit dem Tree kommunizieren kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JTree
`JTree.AccessibleJTree, JTree.DynamicUtilTreeNode, JTree.EmptySelectionModel, JTree.TreeModelHandler, JTree.TreeSelectionRedirector`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JTree
`ANCHOR_SELECTION_PATH_PROPERTY, CELL_EDITOR_PROPERTY, CELL_RENDERER_PROPERTY, cellEditor, cellRenderer, editable, EDITABLE_PROPERTY, EXPANDS_SELECTED_PATHS_PROPERTY, INVOKES_STOP_CELL_EDITING_PROPERTY, invokesStopCellEditing, LARGE_MODEL_PROPERTY, largeModel, LEAD_SELECTION_PATH_PROPERTY, ROOT_VISIBLE_PROPERTY, rootVisible, ROW_HEIGHT_PROPERTY, rowHeight, SCROLLS_ON_EXPAND_PROPERTY, scrollsOnExpand, SELECTION_MODEL_PROPERTY, selectionModel, selectionRedirector, SHOWS_ROOT_HANDLES_PROPERTY, showsRootHandles, TOGGLE_CLICK_COUNT_PROPERTY, toggleClickCount, TREE_MODEL_PROPERTY, treeModel, treeModelListener, VISIBLE_ROW_COUNT_PROPERTY, visibleRowCount`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FTree()` Returns a FTree with a sample model.
`FTree(Hashtable value)` Returns a FTree created from a Hashtable which does not display with root.
`FTree(Object[] value)` Returns a FTree with each element of the specified array as the child of a new root node which is not displayed.
`FTree(TreeModel newModel)` Returns an instance of FTree which displays the root node -- the tree is created using the specified data model.
`FTree(TreeNode root)` Returns a FTree with the specified TreeNode as its root, which displays the root node.
`FTree(TreeNode root, boolean asksAllowsChildren)` Returns a FTree with the specified TreeNode as its root, which displays the root node and which decides whether a node is a leaf node in the specified manner.
`FTree(Vector value)` Returns a FTree with each element of the specified Vector as the child of a new root node which is not displayed.

Method Summary
`void` | `addMouseInputListener(MouseInputListener listener)` Der JTree aus Swing unterstuetzt den MouseInputListener nicht direkt.
`String` | `getActionClassForAncestor()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.
`String` | `getActionClassForComponent()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.
`String` | `getActionClassForContainer()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.
`String` | `getActionClassForFocus()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.
`String` | `getActionClassForHierarchy()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForHierarchyBounds()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForInputMethod()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`String` | `getActionClassForKey()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.
`String` | `getActionClassForMouse()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.
`String` | `getActionClassForMouseInput()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForMouseMotion()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForPropertyChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`String` | `getActionClassForTreeExpansion()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.
`String` | `getActionClassForTreeSelection()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.
`String` | `getActionClassForTreeWillExpand()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.
`String` | `getActionClassForVetoableChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.
`void` | `removeMouseInputListener(MouseInputListener listener)` Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.
`void` | `setActionClassForAncestor(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.
`void` | `setActionClassForComponent(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.
`void` | `setActionClassForContainer(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.
`void` | `setActionClassForFocus(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.
`void` | `setActionClassForHierarchy(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForHierarchyBounds(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForInputMethod(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`void` | `setActionClassForKey(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.
`void` | `setActionClassForMouse(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.
`void` | `setActionClassForMouseInput(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForMouseMotion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForPropertyChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`void` | `setActionClassForTreeExpansion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.
`void` | `setActionClassForTreeSelection(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.
`void` | `setActionClassForTreeWillExpand(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.
`void` | `setActionClassForVetoableChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

Methods inherited from class javax.swing.JTree
`addSelectionInterval, addSelectionPath, addSelectionPaths, addSelectionRow, addSelectionRows, addTreeExpansionListener, addTreeSelectionListener, addTreeWillExpandListener, cancelEditing, clearSelection, clearToggledPaths, collapsePath, collapseRow, convertValueToText, createTreeModel, createTreeModelListener, expandPath, expandRow, fireTreeCollapsed, fireTreeExpanded, fireTreeWillCollapse, fireTreeWillExpand, fireValueChanged, getAccessibleContext, getAnchorSelectionPath, getCellEditor, getCellRenderer, getClosestPathForLocation, getClosestRowForLocation, getDefaultTreeModel, getDescendantToggledPaths, getDragEnabled, getEditingPath, getExpandedDescendants, getExpandsSelectedPaths, getInvokesStopCellEditing, getLastSelectedPathComponent, getLeadSelectionPath, getLeadSelectionRow, getMaxSelectionRow, getMinSelectionRow, getModel, getNextMatch, getPathBetweenRows, getPathBounds, getPathForLocation, getPathForRow, getPreferredScrollableViewportSize, getRowBounds, getRowCount, getRowForLocation, getRowForPath, getRowHeight, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getScrollsOnExpand, getSelectionCount, getSelectionModel, getSelectionPath, getSelectionPaths, getSelectionRows, getShowsRootHandles, getToggleClickCount, getToolTipText, getTreeExpansionListeners, getTreeSelectionListeners, getTreeWillExpandListeners, getUI, getUIClassID, getVisibleRowCount, hasBeenExpanded, isCollapsed, isCollapsed, isEditable, isEditing, isExpanded, isExpanded, isFixedRowHeight, isLargeModel, isPathEditable, isPathSelected, isRootVisible, isRowSelected, isSelectionEmpty, isVisible, makeVisible, paramString, removeDescendantSelectedPaths, removeDescendantToggledPaths, removeSelectionInterval, removeSelectionPath, removeSelectionPaths, removeSelectionRow, removeSelectionRows, removeTreeExpansionListener, removeTreeSelectionListener, removeTreeWillExpandListener, scrollPathToVisible, scrollRowToVisible, setAnchorSelectionPath, setCellEditor, setCellRenderer, setDragEnabled, setEditable, setExpandedState, setExpandsSelectedPaths, setInvokesStopCellEditing, setLargeModel, setLeadSelectionPath, setModel, setRootVisible, setRowHeight, setScrollsOnExpand, setSelectionInterval, setSelectionModel, setSelectionPath, setSelectionPaths, setSelectionRow, setSelectionRows, setShowsRootHandles, setToggleClickCount, setUI, setVisibleRowCount, startEditingAtPath, stopEditing, treeDidChange, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.ITreeExpansion
`addTreeExpansionListener, removeTreeExpansionListener`

Methods inherited from interface de.jsystems.framework.common.action.swing.ITreeSelection
`addTreeSelectionListener, removeTreeSelectionListener`

Methods inherited from interface de.jsystems.framework.common.action.swing.ITreeWillExpand
`addTreeWillExpandListener, removeTreeWillExpandListener`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Constructor Detail

### FTree

    public FTree()

  Returns a FTree with a sample model. The default model used by the tree defines a leaf node as any node without children.

See Also:
  `DefaultTreeModel.asksAllowsChildren`

### FTree

    public FTree(Object[] value)

  Returns a FTree with each element of the specified array as the child of a new root node which is not displayed. By default, the tree defines a leaf node as any node without children.

Parameters:
  `value` - an array of Objects.
See Also:
  `DefaultTreeModel.asksAllowsChildren`

### FTree

    public FTree(Vector value)

  Returns a FTree with each element of the specified Vector as the child of a new root node which is not displayed. By default, the tree defines a leaf node as any node without children.

Parameters:
  `value` - a Vector.
See Also:
  `DefaultTreeModel.asksAllowsChildren`

### FTree

    public FTree(Hashtable value)

  Returns a FTree created from a Hashtable which does not display with root. Each value-half of the key/value pairs in the HashTable becomes a child of the new root node. By default, the tree defines a leaf node as any node without children.

Parameters:
  `value` - a Hashtable.
See Also:
  `DefaultTreeModel.asksAllowsChildren`

### FTree

    public FTree(TreeNode root)

  Returns a FTree with the specified TreeNode as its root, which displays the root node. By default, the tree defines a leaf node as any node without children.

Parameters:
  `root` - a TreeNode object.
See Also:
  `DefaultTreeModel.asksAllowsChildren`

### FTree

    public FTree(TreeNode root,
                 boolean asksAllowsChildren)

  Returns a FTree with the specified TreeNode as its root, which displays the root node and which decides whether a node is a leaf node in the specified manner.

Parameters:
  `root` - a TreeNode object.
  `asksAllowsChildren` - if false, any node without children is a leaf node; if true, only nodes that do not allow children are leaf nodes.
See Also:
  `DefaultTreeModel.asksAllowsChildren`

### FTree

    public FTree(TreeModel newModel)

  Returns an instance of FTree which displays the root node -- the tree is created using the specified data model.

Parameters:
  `newModel` - the TreeModel to use as the data model.

Method Detail

### getActionClassForTreeExpansion

    public String getActionClassForTreeExpansion()

  Description copied from interface: `ITreeExpansion`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForTreeExpansion` in interface `ITreeExpansion`
  Returns:
    Der Name der Actionklasse fuer TreeExpansionEvent.

### setActionClassForTreeExpansion

    public void setActionClassForTreeExpansion(String actionClassName)

  Description copied from interface: `ITreeExpansion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForTreeExpansion` in interface `ITreeExpansion`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeExpansionEvent.

### getActionClassForTreeSelection

    public String getActionClassForTreeSelection()

  Description copied from interface: `ITreeSelection`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForTreeSelection` in interface `ITreeSelection`
  Returns:
    Der Name der Actionklasse fuer TreeSelectionEvent.

### setActionClassForTreeSelection

    public void setActionClassForTreeSelection(String actionClassName)

  Description copied from interface: `ITreeSelection`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForTreeSelection` in interface `ITreeSelection`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeSelectionEvent.

### getActionClassForTreeWillExpand

    public String getActionClassForTreeWillExpand()

  Description copied from interface: `ITreeWillExpand`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

  Specified by:
    `getActionClassForTreeWillExpand` in interface `ITreeWillExpand`
  Returns:
    Der Name der Actionklasse fuer TreeWillExpandEvent.

### setActionClassForTreeWillExpand

    public void setActionClassForTreeWillExpand(String actionClassName)

  Description copied from interface: `ITreeWillExpand`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

  Specified by:
    `setActionClassForTreeWillExpand` in interface `ITreeWillExpand`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeWillExpandEvent.

### getActionClassForAncestor

    public String getActionClassForAncestor()

  Description copied from interface: `IAncestor`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Specified by:
    `getActionClassForAncestor` in interface `IAncestor`
  Returns:
    Der Name der Actionklasse fuer AncestorEvent.

### setActionClassForAncestor

    public void setActionClassForAncestor(String actionClassName)

  Description copied from interface: `IAncestor`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Specified by:
    `setActionClassForAncestor` in interface `IAncestor`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer AncestorEvent.

### getActionClassForPropertyChange

    public String getActionClassForPropertyChange()

  Description copied from interface: `IPropertyChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForPropertyChange` in interface `IPropertyChange`
  Returns:
    Der Name der Actionklasse fuer PropertyChangeEvent.

### setActionClassForPropertyChange

    public void setActionClassForPropertyChange(String actionClassName)

  Description copied from interface: `IPropertyChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForPropertyChange` in interface `IPropertyChange`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer PropertyChangeEvent.

### getActionClassForVetoableChange

    public String getActionClassForVetoableChange()

  Description copied from interface: `IVetoableChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForVetoableChange` in interface `IVetoableChange`
  Returns:
    Der Name der Actionklasse fuer VetoableChangeEvents.

### setActionClassForVetoableChange

    public void setActionClassForVetoableChange(String actionClassName)

  Description copied from interface: `IVetoableChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForVetoableChange` in interface `IVetoableChange`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer VetoableChangeEvent.

### getActionClassForContainer

    public String getActionClassForContainer()

  Description copied from interface: `IContainer`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `getActionClassForContainer` in interface `IContainer`
  Returns:
    Der Name der Actionklasse fuer ContainerEvents.

### setActionClassForContainer

    public void setActionClassForContainer(String actionClassName)

  Description copied from interface: `IContainer`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `setActionClassForContainer` in interface `IContainer`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ContainerEvents.

### getActionClassForComponent

    public String getActionClassForComponent()

  Description copied from interface: `IComponent`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `getActionClassForComponent` in interface `IComponent`
  Returns:
    Der Name der Actionklasse fuer ComponentEvents.

### setActionClassForComponent

    public void setActionClassForComponent(String actionClassName)

  Description copied from interface: `IComponent`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `setActionClassForComponent` in interface `IComponent`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ComponentEvents.

### getActionClassForFocus

    public String getActionClassForFocus()

  Description copied from interface: `IFocus`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `getActionClassForFocus` in interface `IFocus`
  Returns:
    Der Name der Actionklasse fuer focusEvents.

### setActionClassForFocus

    public void setActionClassForFocus(String actionClassName)

  Description copied from interface: `IFocus`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `setActionClassForFocus` in interface `IFocus`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer FocusEvents.

### getActionClassForHierarchy

    public String getActionClassForHierarchy()

  Description copied from interface: `IHierarchy`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchy` in interface `IHierarchy`
  Returns:
    Der Name der Actionklasse fuer HierarchyEvent.

### setActionClassForHierarchy

    public void setActionClassForHierarchy(String actionClassName)

  Description copied from interface: `IHierarchy`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchy` in interface `IHierarchy`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HierarchyEvents.

### getActionClassForHierarchyBounds

    public String getActionClassForHierarchyBounds()

  Description copied from interface: `IHierarchyBounds`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Returns:
    Der Name der Actionklasse fuer HierarchyEvent.

### setActionClassForHierarchyBounds

    public void setActionClassForHierarchyBounds(String actionClassName)

  Description copied from interface: `IHierarchyBounds`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HierarchyEvents.

### getActionClassForInputMethod

    public String getActionClassForInputMethod()

  Description copied from interface: `IInputMethod`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `getActionClassForInputMethod` in interface `IInputMethod`
  Returns:
    Der Name der Actionklasse fuer InputMethodEvent.

### setActionClassForInputMethod

    public void setActionClassForInputMethod(String actionClassName)

  Description copied from interface: `IInputMethod`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `setActionClassForInputMethod` in interface `IInputMethod`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer InputMethodEvents.

### getActionClassForKey

    public String getActionClassForKey()

  Description copied from interface: `IKey`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForKey` in interface `IKey`
  Returns:
    Der Name der Actionklasse fuer KeyEvent.

### setActionClassForKey

    public void setActionClassForKey(String actionClassName)

  Description copied from interface: `IKey`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForKey` in interface `IKey`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer KeyEvents.

### getActionClassForMouse

    public String getActionClassForMouse()

  Description copied from interface: `IMouse`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouse` in interface `IMouse`
  Returns:
    Der Name der Actionklasse fuer MouseEvent.

### setActionClassForMouse

    public void setActionClassForMouse(String actionClassName)

  Description copied from interface: `IMouse`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouse` in interface `IMouse`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MouseEvents.

### getActionClassForMouseMotion

    public String getActionClassForMouseMotion()

  Description copied from interface: `IMouseMotion`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseMotion` in interface `IMouseMotion`
  Returns:
    Der Name der Actionklasse fuer MouseMotionEvent.

### setActionClassForMouseMotion

    public void setActionClassForMouseMotion(String actionClassName)

  Description copied from interface: `IMouseMotion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseMotion` in interface `IMouseMotion`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MouseMotionEvents.

### getActionClassForMouseInput

    public String getActionClassForMouseInput()

  Description copied from interface: `IMouseInput`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseInput` in interface `IMouseInput`
  Returns:
    Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### setActionClassForMouseInput

    public void setActionClassForMouseInput(String actionClassName)

  Description copied from interface: `IMouseInput`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseInput` in interface `IMouseInput`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### addMouseInputListener

    public void addMouseInputListener(MouseInputListener listener)

  Der JTree aus Swing unterstuetzt den MouseInputListener nicht direkt. Da es sich dabei aber nur um eine Zusammenfassung der Listener MouseListener und MouseMotionListener handelt, wird hier der uebergebene Listener einfach sowohl als Mouse- als auch als MouseMotionListener registriert. Soll der Listener wieder entfernt werden, so ist die Methode `removeMouseInputListener(javax.swing.event.MouseInputListener)` zu benutzen.

  Specified by:
    `addMouseInputListener` in interface `IMouseInput`
  Parameters:
    `listener` - der zu registrierende Listener.

### removeMouseInputListener

    public void removeMouseInputListener(MouseInputListener listener)

  Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.

  Specified by:
    `removeMouseInputListener` in interface `IMouseInput`
  Parameters:
    `listener` - Der zu entfernende Listener.
  See Also:
    `addMouseInputListener(MouseInputListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD